import { NgClass } from '@angular/common';
import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy } from '@angular/core';
import * as i1 from '@angular/forms';
import { FormsModule } from '@angular/forms';
import * as i2 from '@angular/material/tooltip';
import { MatTooltipModule } from '@angular/material/tooltip';
import { RxLet } from '@rx-angular/template/let';
import { RxPush } from '@rx-angular/template/push';
import { IconComponent } from '@smallstack/theme-components';
import { FormFieldTitleComponent, FormInputContainerComponent } from '@smallstack/widget-core';
import { I as InputBaseWidgetComponent } from './smallstack-form-widgets-input-base-widget.component-e4949b87.mjs';
import { RxIf } from '@rx-angular/template/if';
import '@smallstack/i18n-components';
import '@smallstack/utils';
import 'rxjs';

class BooleanInputWidgetComponent extends InputBaseWidgetComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.8", ngImport: i0, type: BooleanInputWidgetComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.8", type: BooleanInputWidgetComponent, isStandalone: true, selector: "smallstack-boolean-input-widget", usesInheritance: true, ngImport: i0, template: "<ng-container *rxLet=\"schema$; let schema\">\n  <ng-container *rxLet=\"options$; let options\">\n    <div class=\"form-control\" attr.data-test=\"checkbox-form-input-toggle-{{ path$ | push }}\">\n      <label class=\"label cursor-pointer checkbox-label-fix\">\n        <input\n          type=\"checkbox\"\n          [ngModel]=\"value$ | push\"\n          (ngModelChange)=\"setValue($event); validateOnChange()\"\n          class=\"checkbox checkbox-secondary checkbox-md\"\n          attr.data-test=\"checkbox-form-input-toggle-{{ path$ | push }}-checkbox\"\n          [required]=\"required$ | push\"\n        />\n        <span *rxIf=\"options?.showLabel !== false\" class=\"label-text\">\n          <smallstack-form-field-title [path]=\"path$ | push\" [showRequired]=\"true\"></smallstack-form-field-title>\n        </span>\n      </label>\n      <label *rxIf=\"schema?.description && options?.showHint !== false && options?.useInfoBox !== true\" class=\"label\">\n        <span class=\"label-text-alt text-help\">{{ schema?.description }}</span></label\n      >\n      <label *rxIf=\"validationErrorText$ | push as validationErrorText\" class=\"label\">\n        <span class=\"label-text-alt text-error\" data-test=\"validation-error-text\">{{ validationErrorText }} </span>\n      </label>\n    </div>\n    <div *rxIf=\"schema?.description && options?.showHint !== false && options?.useInfoBox === true\" matSuffix>\n      <smallstack-icon\n        name=\"question-mark\"\n        theme=\"ios-glyphs\"\n        color=\"AAAAAA\"\n        size=\"16\"\n        [matTooltip]=\"schema?.description\"\n        style=\"cursor: help; padding-bottom: 8px\"\n      ></smallstack-icon>\n    </div>\n  </ng-container>\n</ng-container>\n", dependencies: [{ kind: "pipe", type: RxPush, name: "push" }, { kind: "directive", type: RxLet, selector: "[rxLet]", inputs: ["rxLet", "rxLetStrategy", "rxLetComplete", "rxLetError", "rxLetSuspense", "rxLetContextTrigger", "rxLetCompleteTrigger", "rxLetErrorTrigger", "rxLetSuspenseTrigger", "rxLetNextTrigger", "rxLetRenderCallback", "rxLetParent", "rxLetPatchZone"], outputs: ["rendered"] }, { kind: "directive", type: RxIf, selector: "[rxIf]", inputs: ["rxIf", "rxIfStrategy", "rxIfElse", "rxIfThen", "rxIfSuspense", "rxIfComplete", "rxIfError", "rxIfContextTrigger", "rxIfNextTrigger", "rxIfSuspenseTrigger", "rxIfErrorTrigger", "rxIfCompleteTrigger", "rxIfParent", "rxIfPatchZone", "rxIfRenderCallback"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1.CheckboxControlValueAccessor, selector: "input[type=checkbox][formControlName],input[type=checkbox][formControl],input[type=checkbox][ngModel]" }, { kind: "directive", type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1.CheckboxRequiredValidator, selector: "input[type=checkbox][required][formControlName],input[type=checkbox][required][formControl],input[type=checkbox][required][ngModel]" }, { kind: "directive", type: i1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: FormFieldTitleComponent, selector: "smallstack-form-field-title", inputs: ["path", "showRequired"] }, { kind: "component", type: IconComponent, selector: "smallstack-icon", inputs: ["theme", "size", "name", "alias", "action", "actionSize", "spinning", "actionSpinning", "color", "themeColor", "actionColor", "badge", "dynamic", "badgeColor"], outputs: ["iconError"] }, { kind: "ngmodule", type: MatTooltipModule }, { kind: "directive", type: i2.MatTooltip, selector: "[matTooltip]", exportAs: ["matTooltip"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.8", ngImport: i0, type: BooleanInputWidgetComponent, decorators: [{
            type: Component,
            args: [{ selector: "smallstack-boolean-input-widget", standalone: true, changeDetection: ChangeDetectionStrategy.OnPush, imports: [
                        RxPush,
                        RxLet,
                        RxIf,
                        FormsModule,
                        FormInputContainerComponent,
                        NgClass,
                        FormFieldTitleComponent,
                        IconComponent,
                        MatTooltipModule
                    ], template: "<ng-container *rxLet=\"schema$; let schema\">\n  <ng-container *rxLet=\"options$; let options\">\n    <div class=\"form-control\" attr.data-test=\"checkbox-form-input-toggle-{{ path$ | push }}\">\n      <label class=\"label cursor-pointer checkbox-label-fix\">\n        <input\n          type=\"checkbox\"\n          [ngModel]=\"value$ | push\"\n          (ngModelChange)=\"setValue($event); validateOnChange()\"\n          class=\"checkbox checkbox-secondary checkbox-md\"\n          attr.data-test=\"checkbox-form-input-toggle-{{ path$ | push }}-checkbox\"\n          [required]=\"required$ | push\"\n        />\n        <span *rxIf=\"options?.showLabel !== false\" class=\"label-text\">\n          <smallstack-form-field-title [path]=\"path$ | push\" [showRequired]=\"true\"></smallstack-form-field-title>\n        </span>\n      </label>\n      <label *rxIf=\"schema?.description && options?.showHint !== false && options?.useInfoBox !== true\" class=\"label\">\n        <span class=\"label-text-alt text-help\">{{ schema?.description }}</span></label\n      >\n      <label *rxIf=\"validationErrorText$ | push as validationErrorText\" class=\"label\">\n        <span class=\"label-text-alt text-error\" data-test=\"validation-error-text\">{{ validationErrorText }} </span>\n      </label>\n    </div>\n    <div *rxIf=\"schema?.description && options?.showHint !== false && options?.useInfoBox === true\" matSuffix>\n      <smallstack-icon\n        name=\"question-mark\"\n        theme=\"ios-glyphs\"\n        color=\"AAAAAA\"\n        size=\"16\"\n        [matTooltip]=\"schema?.description\"\n        style=\"cursor: help; padding-bottom: 8px\"\n      ></smallstack-icon>\n    </div>\n  </ng-container>\n</ng-container>\n" }]
        }] });

export { BooleanInputWidgetComponent };
//# sourceMappingURL=smallstack-form-widgets-boolean-input-widget.component-9b57a4ef.mjs.map
