import { OverlayComponent } from "@smallstack/common-components";
import { RxCollectionService } from "@smallstack/typesystem-client";
import { FrontendTypeRegistry } from "@smallstack/typesystem-client";
import { BehaviorSubject, Observable } from "rxjs";
import { InputBaseWidgetComponent } from "../../directives/input-base-widget.component";
import { TranslatedSelectValue } from "./select-rxjs-helpers";
import { isArray } from "class-validator";
import * as i0 from "@angular/core";
export declare class SelectInputWidgetComponent extends InputBaseWidgetComponent {
    readonly document: Document;
    protected smallstackTypeRegistry: FrontendTypeRegistry;
    private rxCollectionService;
    overlay: OverlayComponent;
    protected isArray: typeof isArray;
    protected multiple$: Observable<boolean>;
    protected showDetails$: Observable<boolean>;
    protected showAddBtn$: Observable<boolean>;
    protected searchText$: BehaviorSubject<string>;
    protected type$: Observable<string>;
    protected selectOptions$: Observable<Array<TranslatedSelectValue>>;
    protected selectedValue$: Observable<string>;
    constructor(document: Document, smallstackTypeRegistry: FrontendTypeRegistry, rxCollectionService: RxCollectionService);
    selectValue(val: any): Promise<void>;
    add(): () => Promise<void>;
    editLinkedModel(modelId: string): () => Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectInputWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SelectInputWidgetComponent, "ng-component", never, {}, {}, never, never, true, never>;
}
